Subject: UKTeX Digest V94 #29
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 05 Aug 1994 18:16:54 +0100

UKTeX Digest    Friday,  5 Aug 1994    Volume 94 : Issue 29

Today's Topics:
                        Problems with LaTeX 2e
              [WANTED]: A Bibliography Database Manager
           Q: preface & bibliography in table of contents ?
         Re: Q: preface & bibliography in table of contents ?
       PROBLEM !? importing matlab ps file into latex document
                       Style file for my thesis

Administrivia:
    Moderators:     Peter Abbott (Aston University) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Administration, subscription and unsubscription requests:
                    [email-masked]

----------------------------------------------------------------------

Date:    Tue, 02 Aug 1994 13:32:44 -0000
From:    [email-masked]
Subject: Problems with LaTeX 2e

I have recently installed LaTeX 2e (version <1994/06/01> patch level 2).
When I try and format a document which works OK under LaTeX 2.09,
I see this error:

[2] (unixbook.toc
! Extra }, or forgotten \endgroup.
<recently read> \egroup 
                        
l.8 ...tect \numberline {3.1}Unix workstations}{4}
                                                  
? 

I have found that by deleting all the output files (.toc, .idx, .aux,
.lof etc) the document formats.  But I need to run it through LaTeX
at least twice for the contents and tables to be incorperated into
the document!

What am I doing wrong?

AFL

------------------------------

Date:    02 Aug 1994 20:56:17 +0000
From:    [email-masked] (Boris Pevzner)
Subject: [WANTED]: A Bibliography Database Manager

I am looking for a bibliography database manager for either UNIX or
DOS or Windows that can:

(1) import bibliography files in an arbitrary (but fixed, of course) format
        according to a user-defined template

(2) export bibliography files according to a user-defined template
        (e.g. let me export files in BibTeX format)

(3) search by the field(s)

(4) be programmed to detect and merge duplicate entries
        according to a "key" field

Could you suggest any program (either free- or share-ware or commercially
available) that would come as close as possible to doing all this?
Or maybe someone has written an MS-Access application to do this?

Thanks,

B. Pevzner
[email-masked]

------------------------------

Date:    Wed, 03 Aug 1994 09:45:19 +0000
From:    [email-masked]
Subject: Q: preface & bibliography in table of contents ?

I have a problem that I have not been able to solve by reading the
LaTex Manual. How can I force a table of contents to have entries for
"preface", "bibliography" and "index" (e.g. like the table of contents
of the LaTeX manual itself has)? E.g. if I use the \chapter*{preface}
sectioning command, no entry for the TOC is generated; if I use
explicit commands such as \addcontentsline{toc}{chapter}{Preface}, it
works for the preface but it generates incorrect page numbers for the
index and bibliography (maybe I put the commands in the wrong place,
but it is not obvious to me where exactly I should put them).

Please, answer by e-mail, as I do not read this group regularly.

Thanks!    Fabrizio Sebastiani

| Fabrizio Sebastiani             | E-mail : [email-masked]       |
| Department of Computing Science | Talk   : [email-masked] |
| University of Glasgow           | Phone  : +44 (0)41 339 8855 x6042     |
| Glasgow G12 8RZ, Scotland, UK   | Fax    : +44 (0)41 330 4913           |

------------------------------

Date:    03 Aug 1994 11:53:17 +0000
From:    [email-masked] (Robin Fairbairns)
Subject: Re: Q: preface & bibliography in table of contents ?

In article <[email-masked]>,
 <[email-masked]> wrote:
>I have a problem that I have not been able to solve by reading the
>LaTex Manual. How can I force a table of contents to have entries for
>"preface", "bibliography" and "index" (e.g. like the table of contents
>of the LaTeX manual itself has)? E.g. if I use the \chapter*{preface}
>sectioning command, no entry for the TOC is generated; if I use
>explicit commands such as \addcontentsline{toc}{chapter}{Preface}, it
>works for the preface but it generates incorrect page numbers for the
>index and bibliography (maybe I put the commands in the wrong place,
>but it is not obvious to me where exactly I should put them).

The problem is that \chapter performs \clearpage in report class,
\cleardoublepage in book class (you don't say which you're using).

The safe way, therefore, is to say

  \clearpage % or \cleardoublepage
  \addcontentsline...
  \chapter*{Preface} % or bibliography or index

You don't say where you're putting the \addcontentsline w.r.t. the
commands labelled, but the above technique will work consistently for
all cases.

- --
Robin (Campaign for Real Radio 3) Fairbairns       [email-masked]
U of Cambridge Computer Lab, Pembroke St, Cambridge  CB2 3QG, UK
Private page: http://www.cl.cam.ac.uk/users/rf/robin.html

------------------------------

Date:    Wed, 03 Aug 1994 19:20:45 +0100
From:    [email-masked]
Subject: PROBLEM !? importing matlab ps file into latex document

The problem is that I want to have on the same page
an imported ps graph and latex plain text.

I used
\documentstyle[12pt,psfig]{article}
\begin{figure}[p]
\centerline{\fbox
{\psfig{figure=fname.ps,height=5.0in,width=6.0in}}}
\caption{I am the caption}
\label{aspmwhyc350}
\end{figure}

and it was fine, but just for the graph.

I tried to get encapsulated output from matlab...
to edit the ps file and change the BoundingBox...
use several parameters to place the figure on the page...
no use
the matlab ps was only there ovewriting anything else.

is there a way to have on the same page the graph and the relevant text?

Thanx in advance.

Harry Manifavas ([email-masked])

------------------------------

Date:    Thu, 04 Aug 1994 14:11:59 +0000
From:    [email-masked] (Annette Karstensen)
Subject: Style file for my thesis

I am using LaTeX on a SPARCstation 10 / Solaris 2.3 system,
to write my Ph.D Thesis. 

I am looking for a style file with implementation of the 
British Standard (BS4821:1990).  British Standard for 
prensentaion of thesis.

Annette 

| Annette Degn Karstensen |                                  |
| Dept. of Mechanical Eng.| phone : +44-41-339-8855 ext 6478 |
| University of Glasgow   | fax   : +44-41-330-4343          |
| Glasgow, G12 8QQ UK     | email : [email-masked]   |

------------------------------
                                        
                            UK TeX Archive
                         >>>  tex.ac.uk  <<<
         Part of the Comprehensive TeX Archive Network (CTAN)

                          tex.ac.uk -- mail
                           [[email-masked]]

                    ftp.tex.ac.uk -- anonymous ftp
        [username: anonymous, password: <your-e-mail-address>]

                  gopher.tex.ac.uk -- Gopher access

                www.tex.ac.uk -- World-Wide Web access
                [URL http://www.tex.ac.uk/tex-archive]

                     nfs.tex.ac.uk -- NFS access
               [nfs.tex.ac.uk:/public/ctan/tex-archive]

\section Files of Interest

    tex-archive/00Contents
    tex-archive/CTAN.sites
    tex-archive/FILES.bydate
    tex-archive/FILES.byname
    tex-archive/FILES.bysize
    tex-archive/MAP
    tex-archive/README.archive-features
    tex-archive/README.site-commands
    tex-archive/README.uploads

\section Digests

    This year's UKTeX back issues are stored in the archive in directory
      tex-archive/digests/uktex/94
    This year's TeXhax back issues are stored in the archive in directory
      tex-archive/digests/texhax/94
      Latest TeXhax: V94 #05

\section Media Distributions
    Postal addresses are given below.

\subsection Washington Unix TeX distribution tape
    Our latest copy of May/June 1991 contains:
    TeX 3.14, LaTeX 2.09, Metafont 2.7, plus many utilities
    suitable for Unix 4.2/4.3BSD & System V
    tar format, 1 file (36Mb)

    Send One Quarter-Inch Cartridge, QIC-120 or QIC-150 format
    (DC600A or DC6150) with envelope AND stamps for return
    postage to David Osborne (address below); regret that due to currency
    exchange difficulties, this service is offered only within the UK.

\section TeX Implementations for Small Computers

\subsection PC and Mac disks

    From January 1994 the UK TeX Users' Group is distributing an
    emTeX kit for PCs, and an OzTeX kit for Macintosh. The cost
    covers copying and postage costs, and the shareware fee for
    OzTeX.  Each set costs \pounds30, and is available from
    Peter Abbott, 1 Eymore Close, Selly Oak, Birmingham B29 4LB.
    Cheques must be payable to `UKTUG'. Please note that this
    service **is available to UKTUG members only.**

    Each set comes with an installation guide, and (at least)
    full TeX and Metafont, a previewer, a PostScript driver, and
    CM fonts. Two update disks a year will be sent out
    automatically, with the current version of LaTeXe, and other
    goodies. A subscription service will be available for
    subsequent years. In addition, subscribers can request up to
    3 disks a year with any material from the CTAN archives, but
    this will be supplied `as is', without instructions.

    OzTeX and emTeX are also available on disk from TeX Users Group;
    mail TUG for details.

\subsection TeX for the Atari ST

    Enquiries for TeX for the Atari ST etc. can be directed to:
    The Fast Club, 7 Musters Road, Nottingham NG2 7PP. Phone
    0602 455250, fax 0602 455305. They also supply a variety of
    TeX-related software in Atari format.

    Enquiries for disks etc. can also be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    Internet: [email-masked]

\section Postage Rates

    Quarter-inch cartridges: UK: GBP 1.00,  Europe: GBP 2.00.

\section Postal Addresses

    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    Information Systems, Aston University, Aston Triangle, Birmingham B4 7ET
    Internet: [email-masked]

    David Osborne
    Cripps Computing Centre, University of Nottingham, Nottingham NG7 2RD
    (for Unix cartridges ONLY -- MUST include stamps for return postage)
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX Users Group

    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    or from
    Internet: [email-masked]
    or from
    World-Wide Web server: http://www.tex.ac.uk/UKTUG/home.html

\bye

End of UKTeX Digest [Volume 94 Issue 29]
****************************************